## r-cran-batchjobs 1.3

=== DESCRIPTION ===
Package: BatchJobs
Title: Batch computing with R.
Description: Provides Map, Reduce and Filter variants to generate jobs on batch
    computing systems like PBS/Torque, LSF, SLURM and Sun Grid Engine.
    Multicore and SSH systems are also supported. For further details see the
    project web page.
Author: Bernd Bischl <bernd_bischl@gmx.net>,
    Michel Lang <michellang@gmail.com>
Maintainer: Bernd Bischl <bernd_bischl@gmx.net>
URL: https://github.com/tudo-r/BatchJobs
BugReports: https://github.com/tudo-r/BatchJobs/issues
MailingList: batchjobs@googlegroups.com
License: BSD_3_clause + file LICENSE
Roxygen: list(wrap = FALSE)
Depends: R (>= 2.15.0), BBmisc (>= 1.7), methods
Imports: checkmate (>= 1.1), utils, stats, digest, DBI, RSQLite,
        sendmailR, brew, stringr, fail (>= 1.2)
Suggests: testthat, MASS
LazyData: yes
ByteCompile: yes
Version: 1.3
Packaged: 2014-07-07 08:21:15 UTC; bischl

=== debian/changelog ===
r-cran-batchjobs (1.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jul 2014 11:08:40 +0200

r-cran-batchjobs (1.2-1) unstable; urgency=low

  * Initial release (Closes: #752771)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jun 2014 22:52:06 +0200

=== debian/control ===
Source: r-cran-batchjobs
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
XS-Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev (>= 3.0.0),
               r-cran-bbmisc (>= 1.7),
               r-cran-brew,
               r-cran-checkmate,
               r-cran-digest,
               r-cran-rsqlite,
               r-cran-plyr,
               r-cran-stringr,
               r-cran-sendmailr,
               r-cran-fail
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/packages/trunk/R/r-cran-batchjobs/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-batchjobs/trunk/
Homepage: http://cran.r-project.org/web/packages/BatchJobs/

Package: r-cran-batchjobs
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends},
         r-cran-bbmisc,
         r-cran-brew,
         r-cran-checkmate,
         r-cran-digest,
         r-cran-rsqlite,
         r-cran-plyr,
         r-cran-stringr,
         r-cran-sendmailr,
         r-cran-fail
Description: GNU R batch computing
 This GNU R package Provides Map, Reduce and Filter variants to generate
 jobs on batch computing systems like PBS/Torque, LSF, SLURM and Sun Grid
 Engine.  Multicore and SSH systems are also supported. For further
 details see the project web page.

## r-cran-batchjobs 1.4

=== debian/changelog ===
r-cran-batchjobs (1.4-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * Versioned Build-Depends: r-cran-checkmate (>= 1.4)

 -- Andreas Tille <tille@debian.org>  Thu, 02 Oct 2014 11:43:45 +0200

r-cran-batchjobs (1.3-2) unstable; urgency=medium

  * d/control: Recommends: r-cran-mass (since needed in test suite)
  * d/tests/control: Depends: r-cran-mass
    Closes: #757593

 -- Andreas Tille <tille@debian.org>  Sun, 10 Aug 2014 07:36:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,21 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
-XS-Testsuite: autopkgtest
+Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev (>= 3.0.0),
-               r-cran-bbmisc (>= 1.7),
+               r-cran-bbmisc,
                r-cran-brew,
-               r-cran-checkmate,
+               r-cran-checkmate (>= 1.4),
                r-cran-digest,
                r-cran-rsqlite,
                r-cran-plyr,
                r-cran-stringr,
                r-cran-sendmailr,
                r-cran-fail
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/packages/trunk/R/r-cran-batchjobs/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-batchjobs/trunk/
 Homepage: http://cran.r-project.org/web/packages/BatchJobs/
@@ -34,6 +34,7 @@
          r-cran-stringr,
          r-cran-sendmailr,
          r-cran-fail
+Recommends: r-cran-mass
 Description: GNU R batch computing
  This GNU R package Provides Map, Reduce and Filter variants to generate
  jobs on batch computing systems like PBS/Torque, LSF, SLURM and Sun Grid

## r-cran-batchjobs 1.6

=== DESCRIPTION ===
Package: BatchJobs
Title: Batch Computing with R
Description: Provides Map, Reduce and Filter variants to generate jobs on batch
    computing systems like PBS/Torque, LSF, SLURM and Sun Grid Engine.
    Multicore and SSH systems are also supported. For further details see the
    project web page.
Author: Bernd Bischl <bernd_bischl@gmx.net>,
    Michel Lang <michellang@gmail.com>,
    Henrik Bengtsson <henrikb@braju.com>
Maintainer: Bernd Bischl <bernd_bischl@gmx.net>
URL: https://github.com/tudo-r/BatchJobs
BugReports: https://github.com/tudo-r/BatchJobs/issues
MailingList: batchjobs@googlegroups.com
License: BSD_2_clause + file LICENSE
Depends: R (>= 2.15.0), BBmisc (>= 1.9), methods
Imports: brew, checkmate (>= 1.5.1), DBI, digest, fail (>= 1.2),
        parallel, RSQLite (>= 1.0.0), sendmailR, stats, stringr, utils
Suggests: MASS, testthat
LazyData: yes
ByteCompile: yes
Version: 1.6
Packaged: 2015-03-18 16:40:05 UTC; bischl
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-03-18 18:01:21

=== debian/changelog ===
r-cran-batchjobs (1.6-1) unstable; urgency=medium

  * New upstream version
  * Versioned Depends r-cran-bbmisc (>= 1.9), r-cran-sqlite (>= 1.0.0)

 -- Andreas Tille <tille@debian.org>  Sat, 27 Jun 2015 11:46:15 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev (>= 3.0.0),
-               r-cran-bbmisc,
+               r-cran-bbmisc (>= 1.9),
                r-cran-brew,
                r-cran-checkmate (>= 1.4),
                r-cran-digest,
-               r-cran-rsqlite,
+               r-cran-rsqlite (>= 1.0.0),
                r-cran-plyr,
                r-cran-stringr,
                r-cran-sendmailr,
@@ -25,7 +25,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${R:Depends},
-         r-cran-bbmisc,
+         r-cran-bbmisc (>= 1.9),
          r-cran-brew,
          r-cran-checkmate,
          r-cran-digest,

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-

include /usr/share/R/debian/r-cran.mk

install/$(package)::
	rm -rf debian/$(package)/usr/lib/R/site-library/$(cranNameOrig)/LICENSE

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/BatchJobs_([-\d.]*)\.tar\.gz

## r-cran-batchjobs 1.7

=== DESCRIPTION ===
--- 
+++ 
@@ -12,14 +12,16 @@
 BugReports: https://github.com/tudo-r/BatchJobs/issues
 MailingList: batchjobs@googlegroups.com
 License: BSD_2_clause + file LICENSE
-Depends: R (>= 2.15.0), BBmisc (>= 1.9), methods
-Imports: brew, checkmate (>= 1.5.1), DBI, digest, fail (>= 1.2),
-        parallel, RSQLite (>= 1.0.0), sendmailR, stats, stringr, utils
+Depends: R (>= 3.0.0), BBmisc (>= 1.9), methods
+Imports: backports (>= 1.1.1), brew, checkmate (>= 1.8.0), data.table
+        (>= 1.9.6), DBI, digest, parallel, RSQLite (>= 1.0.9011),
+        sendmailR, stats, stringi (>= 0.4-1), utils
 Suggests: MASS, testthat
 LazyData: yes
 ByteCompile: yes
-Version: 1.6
-Packaged: 2015-03-18 16:40:05 UTC; bischl
+Version: 1.7
+RoxygenNote: 6.0.1
 NeedsCompilation: no
+Packaged: 2017-11-28 15:42:44 UTC; bischl
 Repository: CRAN
-Date/Publication: 2015-03-18 18:01:21
+Date/Publication: 2017-11-28 17:41:32 UTC

=== debian/changelog ===
r-cran-batchjobs (1.7-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Package is arch:all
  * for some reason base64enc is needed but not mentioned in DESCRIPTION file

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jun 2018 08:45:29 +0200

r-cran-batchjobs (1.7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11
  * Build-Depends: r-cran-data.table

 -- Andreas Tille <tille@debian.org>  Wed, 21 Feb 2018 11:54:12 +0100

r-cran-batchjobs (1.6-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * Standards-Version: 4.1.1
  * debhelper 10
  * Convert from cdbs to dh-r
  * Canonical homepage for CRAN packages
  * d/watch: use secure URI

 -- Andreas Tille <tille@debian.org>  Thu, 19 Oct 2017 06:56:50 +0200

=== debian/control ===
Source: r-cran-batchjobs
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-bbmisc (>= 1.9),
               r-cran-backports (>= 1.1.1),
               r-cran-brew,
               r-cran-checkmate (>= 1.8.0),
               r-cran-data.table,
               r-cran-dbi,
               r-cran-digest,
               r-cran-rsqlite (>= 1.0.9011),
               r-cran-sendmailr,
               r-cran-stringi,
# <dh-update-R>do not delete this - for some reason base64enc is needed but not mentioned in DESCRIPTION file</dh-update-R>
               r-cran-base64enc
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-batchjobs
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-batchjobs.git
Homepage: https://cran.r-project.org/package=BatchJobs

Package: r-cran-batchjobs
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R batch computing
 This GNU R package Provides Map, Reduce and Filter variants to generate
 jobs on batch computing systems like PBS/Torque, LSF, SLURM and Sun Grid
 Engine.  Multicore and SSH systems are also supported. For further
 details see the project web page.

## r-cran-batchjobs 1.8

=== DESCRIPTION ===
--- 
+++ 
@@ -19,9 +19,10 @@
 Suggests: MASS, testthat
 LazyData: yes
 ByteCompile: yes
-Version: 1.7
-RoxygenNote: 6.0.1
+Version: 1.8
+RoxygenNote: 6.1.1
+Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2017-11-28 15:42:44 UTC; bischl
+Packaged: 2019-05-09 08:41:04 UTC; lang
 Repository: CRAN
-Date/Publication: 2017-11-28 17:41:32 UTC
+Date/Publication: 2019-05-14 22:00:16 UTC

=== debian/changelog ===
r-cran-batchjobs (1.8-1) unstable; urgency=medium

  * Drop manual Build-Depends: r-cran-base64enc since it was only needed due
    to a bug in r-cran-sendmailr (#900888)
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jul 2019 17:01:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-bbmisc (>= 1.9),
@@ -15,10 +15,8 @@
                r-cran-digest,
                r-cran-rsqlite (>= 1.0.9011),
                r-cran-sendmailr,
-               r-cran-stringi,
-# <dh-update-R>do not delete this - for some reason base64enc is needed but not mentioned in DESCRIPTION file</dh-update-R>
-               r-cran-base64enc
-Standards-Version: 4.1.4
+               r-cran-stringi
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-batchjobs
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-batchjobs.git
 Homepage: https://cran.r-project.org/package=BatchJobs

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/BatchJobs_([-\d.]*)\.tar\.gz

## r-cran-batchjobs 1.9

=== DESCRIPTION ===
--- 
+++ 
@@ -17,12 +17,10 @@
         (>= 1.9.6), DBI, digest, parallel, RSQLite (>= 1.0.9011),
         sendmailR, stats, stringi (>= 0.4-1), utils
 Suggests: MASS, testthat
-LazyData: yes
-ByteCompile: yes
-Version: 1.8
-RoxygenNote: 6.1.1
+Version: 1.9
+RoxygenNote: 7.1.2
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2019-05-09 08:41:04 UTC; lang
+Packaged: 2022-03-21 10:39:57 UTC; michel
 Repository: CRAN
-Date/Publication: 2019-05-14 22:00:16 UTC
+Date/Publication: 2022-03-21 11:30:02 UTC

=== debian/changelog ===
r-cran-batchjobs (1.9-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 24 Mar 2022 20:50:41 +0100

r-cran-batchjobs (1.8-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2020 22:12:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,26 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-bbmisc (>= 1.9),
-               r-cran-backports (>= 1.1.1),
+               r-cran-bbmisc,
+               r-cran-backports,
                r-cran-brew,
-               r-cran-checkmate (>= 1.8.0),
+               r-cran-checkmate,
                r-cran-data.table,
                r-cran-dbi,
                r-cran-digest,
-               r-cran-rsqlite (>= 1.0.9011),
+               r-cran-rsqlite,
                r-cran-sendmailr,
                r-cran-stringi
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-batchjobs
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-batchjobs.git
 Homepage: https://cran.r-project.org/package=BatchJobs
+Rules-Requires-Root: no
 
 Package: r-cran-batchjobs
 Architecture: all

## r-cran-batchjobs 1.10

=== debian/changelog ===
r-cran-batchjobs (1.10-1) unstable; urgency=medium

  * Team upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Charles Plessy ]
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 11 Dec 2025 14:49:40 +0900

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,10 @@
                r-cran-digest,
                r-cran-rsqlite,
                r-cran-sendmailr,
-               r-cran-stringi
-Standards-Version: 4.6.0
+               r-cran-stringi,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-batchjobs
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-batchjobs.git
 Homepage: https://cran.r-project.org/package=BatchJobs

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-mass,
        r-cran-testthat
Restrictions: allow-stderr
